SCROLLZ(1)

NAME
ScrollZ - An advanced ircII-based IRC client

SYNOPSIS
scrollz [-4] [-6] [-c chan] [-p portno] [-f] [-F] [-h host] [-H host] [-C name] [-s] [-S] [-n] [-d] [-q] [-a] [-b] [-l file] [-I file] [-L file] [nickname] [serverlist]

DESCRIPTION
ScrollZ is advanced IRC client based on ircII code. It adds features normally found in ircII scripts.

The main difference between these scripts and ScrollZ is the code. Where ircII scripts take a lot of disk and memory space and run slow, ScrollZ only takes a couple of extra kilobytes compared to stock ircII client yet runs faster than any ircII script. This was accomplished by using C code instead of ircII scripting language. This reduces memory and CPU usage and code tends to run faster. ScrollZ includes features such as built-in userlist, shitlist, improved scripting, Blowfish based encryption, features for IRC operators and user friendly features such as completion for nicks and channels.

OPTIONS

-4  Use IPv4 protocol when connecting to a server.

-6  Use IPv6 protocol when connecting to a server.

-c channel
    Joins channel on startup

-p port
    Default server connection port (usually 6667)

-f  Your terminal uses flow controls (^S/^Q), so ScrollZ shouldn't

-F  Your terminal doesn't use flow control (default)

-h,-H host
    Use host as source address (for virtual hosting)

-C name
    Cloak process as name

-S/-s
    Do/don't use separate server processes (ircio)

-n  Do not connect to a server on startup

-d  Runs ScrollZ in "dumb" terminal mode

-q  Does not load .scrollzrc or .scrollzquick

-a  Adds default servers and command line servers to server list

-b  Load .scrollzrc before connecting to a server

-l file
    Loads file in place of your .scrollzrc

-I file
    Loads file in place of your .scrollzquick

-L file
    Loads file in place of your .scrollzrc and expands $ expandos

--help
    Show summary of options.

ENVIRONMENT

DCCHOST
    The hostname to use for the DCC file transfer

HOME
    Set home directory (overrides your home directory in /etc/passwd)

IRCHOST
    The hostname to use

IRCNAME
    The realname to use (defaults to /etc/passwd real name field)

IRCLIB
    The path for ScrollZ helpfiles/scripts/translations/docs (defaults to /usr/share/scrollz)

IRCNICK
    The nickname to use (defaults to your username)

IRCPATH
    The path for loading files (defaults to ~/.ScrollZ:/usr/share/scrollz/script:.)

IRCRC
    The initalization file to use (defaults to ~/.scrollzrc)

IRCSERVER
    The IRC server(s) to use

IRCUMODE
    The user mode to use

IRCUSER
    The username to use (defaults to your username)

MAIL
    Set mail file

TERM
    The terminal type to use

FILES

/usr/share/scrollz/script/szglobal
    The global initialization file loaded when connection to a server is established.

~/.scrollzrc
    The personal initialization file loaded when connection to a server is established.

~/.scrollzquick
    The personal initialization file loaded when connection to a server is initiated.

NOTES

The nickname is limited to 9 characters on many IRC networks.

The server list is a whitespace-separated list of server names.

ScrollZ does NOT have the ICB support nor the DCC TALK support that are available in ircII.

AUTHORS
This manual page was written by Mike Markley <mike@markley.org>, for the Debian GNU/Linux system (but may be used by others). Updated for ScrollZ by Flier <flier@scrollz.org> (the ScrollZ maintainer).

ScrollZ home page: http://www.scrollz.org/

ScrollZ FTP site: ftp://ftp.scrollz.org/

BUG REPORTS
If you find a bug in ScrollZ you should report it. But first, you should make sure that it really is a bug, and that it appears in the latest version of ScrollZ.

Once you have determined that a bug actually exists, report the bug in channel #ScrollZ on Efnet. If you have a fix, you are encouraged to provide that as well!

ALL bug reports should include:

The version number of
    ScrollZ
The hardware and operating system
The compiler used to compile
A description of the bug behaviour
A short script or `recipe' which exercises the bug